      program magdat
      implicit none

      integer i
      real*8  mag

      integer it


 100  continue
      read(*,*,end=110) i, mag
      it = 21*60 + 18 + ( i - 1 )
c      it = 30*60 + 56 + ( i - 1 )
c      it = 43*60 + 59 + ( i - 1 )*2
      write(*,*) it, mag
      go to 100

 110  continue

      stop
      end
      
